petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterDestroy

Destroys a scatter context created by VecScatterCreate().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecScatterDestroy(VecScatter *ctx)

Collective on VecScatter

### Input Parameter

ctx -the scatter context

### See Also

VecScatterCreate(), VecScatterCopy()

### Level

intermediate

### Location

src/vec/vscat/interface/vscatfce.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html

### Implementations

VecScatterDestroy_PtoP_MPI3 in src/vec/vscat/impls/vpscat.c
VecScatterDestroy_PtoP_MPI1 in src/vec/vscat/impls/vpscat_mpi1.c
VecScatterDestroy_MPI_ToAll in src/vec/vscat/impls/vscat.c
VecScatterDestroy_SGToSG in src/vec/vscat/impls/vscat.c
VecScatterDestroy_SGToSS in src/vec/vscat/impls/vscat.c
VecScatterDestroy_SSToSG in src/vec/vscat/impls/vscat.c
VecScatterDestroy_SSToSS in src/vec/vscat/impls/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages